Get employee country fields
curl --request GET \
--url https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"country": "PT",
"fields": {
"beneficiaryName": null,
"academicQualification": "1º Ciclo do Ensino Básico",
"professionalSituation": "2 - Trabalhador Familiar não Remunerado",
"retirementRegime": "2 - Caixa Geral de Aposentações"
}
}
}Employees
Get employee country fields
Retrieve the Portuguese employee fields (academic qualification, professional situation, retirement regime, beneficiary name). Returns data: null when the company is not located in Portugal.
GET
/
core
/
v4
/
employees
/
{employeeId}
/
country-fields
Get employee country fields
curl --request GET \
--url https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sesamehr.com/core/v4/employees/{employeeId}/country-fields")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"country": "PT",
"fields": {
"beneficiaryName": null,
"academicQualification": "1º Ciclo do Ensino Básico",
"professionalSituation": "2 - Trabalhador Familiar não Remunerado",
"retirementRegime": "2 - Caixa Geral de Aposentações"
}
}
}Version:v4
Authorizations
Sesame Public API consumer token (Authorization: Bearer )
Path Parameters
Response
The employee country fields.
Portuguese employee fields; null when the company is not located in Portugal.
Show child attributes
Show child attributes
Was this page helpful?